Bug 2083924 (CVE-2022-1621) - CVE-2022-1621 vim: heap buffer overflow in vim_strncpy
Summary: CVE-2022-1621 vim: heap buffer overflow in vim_strncpy
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-1621
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083927 2083929 2085345 2088260 2088261 2088262 2088263
Blocks: 2083930
TreeView+ depends on / blocked
 
Reported: 2022-05-11 03:36 UTC by Anten Skrabec
Modified: 2022-07-27 14:01 UTC (History)
9 users (show)

Fixed In Version: vim 8.2.4919
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim, where it is vulnerable to a heap buffer overflow in the vim_strncpy find_word function. This flaw allows a specially crafted file to crash software, modify memory and possibly perform remote execution when opened in vim.
Clone Of:
Environment:
Last Closed: 2022-07-01 11:24:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5242 0 None None None 2022-06-28 14:58:30 UTC
Red Hat Product Errata RHSA-2022:5319 0 None None None 2022-06-28 18:32:32 UTC

Description Anten Skrabec 2022-05-11 03:36:08 UTC
Heap buffer overflow in vim_strncpy find_word in GitHub repository vim/vim prior to 8.2.4919. This vulnerability is capable of crashing software, Bypass Protection Mechanism, Modify Memory, and possible remote execution.

https://github.com/vim/vim/commit/7c824682d2028432ee082703ef0ab399867a089b

Comment 1 Anten Skrabec 2022-05-11 03:48:20 UTC
Created vim tracking bugs for this issue:

Affects: fedora-34 [bug 2083927]

Comment 2 Anten Skrabec 2022-05-11 03:58:57 UTC
Created vim tracking bugs for this issue:

Affects: fedora-35 [bug 2083929]

Comment 6 Sandro Bonazzola 2022-05-13 09:55:53 UTC
Hi, can you please elaborate on how is it possible that RHV is considered affected while RHEL is under investigation?
RHV just consume RHEL builds so it's not clear to me how this is possible.

Comment 13 errata-xmlrpc 2022-06-28 14:58:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5242 https://access.redhat.com/errata/RHSA-2022:5242

Comment 14 errata-xmlrpc 2022-06-28 18:32:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5319 https://access.redhat.com/errata/RHSA-2022:5319

Comment 15 Product Security DevOps Team 2022-07-01 11:24:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1621


Note You need to log in before you can comment on or make changes to this bug.